/* @import url("https://fonts.googleapis.com/css2?family=Baloo+2:wght@400;500;600;700;800&display=swap"); */

/* @tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    @apply
        html {
            font-family: 'font-Baloo';
        }
  
} */
/* :root {
    font-size: 16px;
}
/* body {
    font-size: 1rem;
} */

html, body{
    font-family: 'Baloo 2' !important;
    color: #333;
}

/* colors roots*/
:root{
    --Primary_purple_300: #FFDFFA;
    --Primary_purple_400: #FFC5F8;
    --Primary_purple_500: #B758AB;
    --Primary_purple_600: #953389;
    --Primary_purple_700: #6E2665;
    --Secondary_yellow_300: #FFD1A6;
    --Secondary_yellow_400: #FFC07C;
    --Secondary_yellow_500: #FFAD37;
    --Secondary_yellow_600: #E39525;
    --Secondary_yellow_700: #C88017;
    --Accents_pink: #FAECF9;
    --Accents_green: #E4F2E5;
    --Accents_cream: #FDEBD4;
    --Accents_lilac: #EAE6FC;
    --Success: #4BB543;
    --Failure: #F14E43;
    --Warning: #FF8947;
    --White: #ffffff;
    --Text_300: #CCC6CF;
    --Text_400: #836F90;
    --Text_500: #503D5C;
    --Text_600: #372741;
    --LightGrey_300: #F3F1F3;
    --Grey_400: #CCCCCC;
    --DarkGrey_500: #8A8A8A; 
    --Black: #000000;
}

.Primary_purple_300{ color: var(--Primary_purple_300);}
.Primary_purple_400{ color: var(--Primary_purple_400);}
.Primary_purple_500{ color: var(--Primary_purple_500);}
.Primary_purple_600{ color: var(--Primary_purple_600);}
.Primary_purple_700{ color: var(--Primary_purple_700);}
.Secondary_yellow_300 {color: var(--Secondary_yellow_300)};
.Secondary_yellow_400 { color: var(--Secondary_yellow_400);}
.Secondary_yellow_500 { color: var(--Secondary_yellow_500);}
.Secondary_yellow_600 { color: var(--Secondary_yellow_600);}
.Secondary_yellow_700 { color: var(--Secondary_yellow_700);}
.Accents_pink { color: var(--Accents_pink);}
.Accents_green { color: var(--Accents_green);}
.Accents_cream { color: var(--Accents_cream);}
.Accents_lilac { color: var(--Accents_lilac);}
.Success { color: var(--Success)};
.Failure { color: var(--Failure);}
.Warning { color: var(--Warning);}
.White { color: var(--White);}
.Text_300 { color: var(--Text_300);}
.Text_400 { color: var(--Text_400);}
.Text_500 { color: var(--Text_500);}
.Text_600 { color: var(--Text_600);}
.LightGrey_300 { color: var(--LightGrey_300);}
.Grey_400 { color: var(--Grey_400);}
.DarkGrey_500 { color: var(--DarkGrey_500);} 
.Black { color: var(--Black);}

.Primary_Bgpurple_300{ background-color: var(--Primary_purple_300);}
.Primary_Bgpurple_400{ background-color: var(--Primary_purple_400);}
.Primary_Bgpurple_500{ background-color: var(--Primary_purple_500);}
.Primary_Bgpurple_600{ background-color: var(--Primary_purple_600);}
.Primary_Bgpurple_700{ background-color: var(--Primary_purple_700);}
.Secondary_Bgyellow_300 {background-color: var(--Secondary_yellow_300)};
.Secondary_Bgyellow_400 { background-color: var(--Secondary_yellow_400);}
.Secondary_Bgyellow_500 { background-color: var(--Secondary_yellow_500);}
.Secondary_Bgyellow_600 { background-color: var(--Secondary_yellow_600);}
.Secondary_Bgyellow_700 { background-color: var(--Secondary_yellow_700);}
.Accents_Bgpink { background-color: var(--Accents_pink);}
.Accents_Bggreen { background-color: var(--Accents_green);}
.Accents_Bgcream { background-color: var(--Accents_cream);}
.Accents_Bglilac { background-color: var(--Accents_lilac);}
.Success_Bg { background-color: var(--Success)};
.Failure_Bg { background-color: var(--Failure);}
.Warning_Bg { background-color: var(--Warning);}
.BgLightGrey_300 { background-color: var(--LightGrey_300);}
.BgGrey_400 { background-color: var(--Grey_400);}
.BgDarkGrey_500 { background-color: var(--DarkGrey_500);} 
.BgBlack { background-color: var(--Black);}


.underline{
    text-decoration: underline;
}

.c-container{
    max-width: 1140px;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}
.c-row{
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}
.col-3{
    width: 25% !important;
}

.text-center{
    text-align: center;
}

.mt-0{
    margin-top: 0;
}

.pr-5{
    padding-right: 30px;
}

/* typography css */

.display_large{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 56px;
    line-height: 84px;
}

.display_small{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 40px;
    line-height: 60px;
}

.heading_large__bold{
    font-family: 'Baloo 2';
    font-weight: 700;
    font-size: 32px;
    line-height: 48px;
}

.heading_large__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 32px;
    line-height: 48px;
}

.heading_small__bold{
    font-family: 'Baloo 2';
    font-weight: 700;
    font-size: 24px;
    line-height: 36px;
}

.heading_small__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 24px;
    line-height: 36px;
}

.subHeading_semibold{
    font-family: 'Baloo 2';
    font-weight: 600;
    font-size: 20px;
    line-height: 30px;
}

.subHeading_regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 20px;
    line-height: 30px;
}

.body_large__semibold{
    font-family: 'Baloo 2';
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
}

.body_large__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}

.body_small__semibold{
    font-family: 'Baloo 2';
    font-weight: 600;
    font-size: 14px;
    line-height: 24px;
}

.body_small__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
}

.label_large__semibold{
    font-family: 'Baloo 2';
    font-weight: 600;
    font-size: 12px;
    line-height: 18px;
}

.label_large__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
}

.label_small__semibold{
    font-family: 'Baloo 2';
    font-weight: 600;
    font-size: 10px;
    line-height: 15px;
}

.label_small__regular{
    font-family: 'Baloo 2';
    font-weight: 400;
    font-size: 10px;
    line-height: 15px;
}

.button_label__medium{
    font-family: 'Baloo 2';
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
}

.button_label__bold{
    font-family: 'Baloo 2';
    font-weight: 700;
    font-size: 14px;
    line-height: 24px;
}

.button_small__Active{
    width: 256px;
    height: 48px;
    background-color: var(--Primary_purple_600);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_small__Active:hover{
    background-color: var(--White);
    border: 2px solid var(--Primary_purple_600);
    color: var(--Primary_purple_600);
    box-shadow: none;
}

.button_medium__Active{
    width: 328px;
    height: 48px;
    background-color: var(--Primary_purple_600);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_medium__Active:hover{
    background-color: var(--White);
    border: 2px solid var(--Primary_purple_600);
    color: var(--Primary_purple_600);
    box-shadow: none;
}

.button_large__Active{
    width: 368px;
    height: 48px;
    background-color: var(--Primary_purple_600);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_large__Active:hover{
    background-color: var(--White);
    border: 2px solid var(--Primary_purple_600);
    color: var(--Primary_purple_600);
    box-shadow: none;
}

.button_Exlarge__Active{
    width: 408px;
    height: 48px;
    background-color: var(--Primary_purple_600);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_Exlarge__Active:hover{
    background-color: var(--White);
    border: 2px solid var(--Primary_purple_600);
    color: var(--Primary_purple_600);
    box-shadow: none;
}


.button_small__Inactive{
    width: 256px;
    height: 48px;
    background-color: var(--Grey_400);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_small__Inactive:hover{
    background-color: transparent;
    border:  2px solid var(--Grey_400);
    color: var(--Grey_400);
    box-shadow: none;
}

.button_medium__Inactive{
    width: 328px;
    height: 48px;
    background-color: var(--Grey_400);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_medium__Inactive:hover{
    background-color: transparent;
    border:  2px solid var(--Grey_400);
    color: var(--Grey_400);
    box-shadow: none;
}

.button_large__Inactive{
    width: 368px;
    height: 48px;
    background-color: var(--Grey_400);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_large__Inactive:hover{
    background-color: transparent;
    border:  2px solid var(--Grey_400);
    color: var(--Grey_400);
    box-shadow: none;
}

.button_Exlarge__Inactive{
    width: 408px;
    height: 48px;
    background-color: var(--Grey_400);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_Exlarge__Inactive:hover{
    background-color: transparent;
    border:  2px solid var(--Grey_400);
    color: var(--Grey_400);
    box-shadow: none;
}


.button_small__Pressed{
    width: 256px;
    height: 48px;
    background-color: var(--Primary_purple_700);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_small__Pressed:hover{
    background-color: var(--Accents_pink);
    border: 2px solid var(--Primary_purple_600);
    color: var(----Primary_purple_600);
    box-shadow: none;
}

.button_medium__Pressed{
    width: 328px;
    height: 48px;
    background-color: var(--Primary_purple_700);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_medium__Pressed:hover{
    background-color: var(--Accents_pink);
    border: 2px solid var(--Primary_purple_600);
    color: var(----Primary_purple_600);
    box-shadow: none;
}

.button_large__Pressed{
    width: 368px;
    height: 48px;
    background-color: var(--Primary_purple_700);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_large__Pressed:hover{
    background-color: var(--Accents_pink);
    border: 2px solid var(--Primary_purple_600);
    color: var(----Primary_purple_600);
    box-shadow: none;
}

.button_Exlarge__Pressed{
    width: 408px;
    height: 48px;
    background-color: var(--Primary_purple_700);
    padding: 12px 0;
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.button_Exlarge__Pressed:hover{
    background-color: var(--Accents_pink);
    border: 2px solid var(--Primary_purple_600);
    color: var(----Primary_purple_600);
    box-shadow: none;
}

/* typogrphy css end */


.box_shadow1{
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.084), 0px 2px 3px rgba(0, 0, 0, 0.168);
}

